%DYNAMIC WIND CALCULATIONS

clear all;

%Reading values from ANSYS
filename = 'freqres2.xlsx';
RAO = xlsread(filename,'B:B');
%Transposed RAO vector
RAOt = RAO';

T = 15; %Wind period
U0 = 40; %Mean wind speed
H = 88; %Height above sea level
z = 59; %Mean value used for spectum
rho_a = 1.226; %Air density

%Frya wind spectrum
n = 0.468;
freq = 0;
for i = 1:30
    f(i) = 172*freq*((z/10)^(2/3))*(U0/10)^(-0.75);
    S = 320*((U0/10)^2)*(z/10)^0.45;
    Sd(i) = S/((1+f(i))^(5/(3*n)));
    freq = freq + 0.1;
end

n = 0.05;
a = 0:0.01:6;

%Spectrum plot
%X = 0:0.001:0.199;
%plot(X,Sd)
%xlabel('Frequency [Hz]')
%ylabel('Spectral energy density [m^2/s^2Hz] ')

%Transposed RAO vector
RAOt = RAO';

%Calculating standard deviation
dw = 0.1;
std = 0;
for i = 1:60
    std = std + (Sd(i)*RAOt(i).^2*dw);
end

%Spectral moments
m0 = 0;
m2 = 0;
omega = 0.1;
for i = 1:30
    m0 = m0 + (Sd(i)*dw);
    m2 = m2 + ((omega^2)*Sd(i)*dw);
    omega = omega + 0.1;
end

%Mean wind period
T2 = sqrt(m0/m2);

%Max stress
maxstress = (2*std*log(3600/T2));

%RAO plot
RAOx = 0:0.1:2.9;
plot(RAOx,RAOt)
xlabel('Frequency [Hz]')
ylabel('RAO [Pa]')