%FRYA WIND MODEL
clear all;

%Wind period
T = 15;
%Mean wind speed
U0 = 46; 
%Height above sea level
H = 88; 
%Mean value used for spectum
z = 59; 
%Air density
rho_a = 1.226; 

%Wind gusts and profile
C = (5.73E-2)*sqrt(1+(0.148*U0));
for i = 1:H
Iu(i) = 0.06*(1+(0.043*U0))*(i/10)^(-0.22);
Uz(i) = U0*(1+(C*log(i/10)));
u(i) = Uz(i)*(1-(0.41*Iu(i)*log(T/3600)));
end

%Normalized logarithmic design wind profile
lp = u/U0;

%Wind profile plot
for i = 1:H
    x(i) = i;
end

%Wind profile plot
plot(u,x)
xlabel('u(z,t) [m/s]')
ylabel('Height [m]')

%Fluctuation component
for i = 1:H
    u_flu(i) = u(i) - Uz(i);
end

%Dynamic wind pressure
for i = 1:H
    q_dyn = 0.5*rho_a*u_flu(i)*Uz(i);
end

%Dynamic wind speed plot
%plot(a,u_dyn)
%xlabel('frequency [Hz]')
%ylabel('u(f) [m/s]')

%Static wind pressure
for i = 1:H
    q_stat(i) = 0.5*rho_a*u(i)^2;
end

%Dynamic wind speed plot
plot(x,u_flu)
xlabel('Height [m]')
ylabel('u(f) [m/s]')



%Static load plot
plot(x,q_stat)
ylabel('q(z) [Pa]')
xlabel('Height [m]')



    



